<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Date Inputs Package (DatePicker, TimePicker, DateInput, DateRangePicker, DateTimePicker, Calendar, and MultiViewCalendar Components)

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui)&mdash;a commercial library designed and built for developing business applications with Angular. Every UI component in the Kendo UI for Angular suite has been built from the ground-up specifically for Angular.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

The [Kendo UI for Angular Date Inputs](https://www.telerik.com/kendo-angular-ui/components/dateinputs) package is a collection of seven components designed to add date selection functionality to your applications. Whether you need date input fields or calendar pickers, everything is inside. Each component is highly customizable, high-performance, and well-documented.

<img src="https://d585tldpucybw.cloudfront.net/sfimages/default-source/component-pages/angular/angular-datetimepicker-overview.gif?sfvrsn=388e98e4_0" alt="Angular Date Input Component Example">

## What's Included in the Angular Date Inputs Package

* [Angular Calendar Component](https://www.telerik.com/kendo-angular-ui/components/dateinputs/calendar)&mdash;Renders a visual calendar used for date selection and navigation.
* [Angular DateInput Component](https://www.telerik.com/kendo-angular-ui/components/dateinputs/dateinput)&mdash;Renders an input field that recognizes and enforces date formats.
* [Angular DatePicker Component](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker)&mdash;Combines the DateInput and Calendar components to provide an interactive form element for picking dates. Users can pick a date from the Calendar and it will appear as text in the DateInput field or they can type in a date and it will be automatically selected in the Calendar.
* [Angular DateTimePicker Component](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datetimepicker)&mdash;Combines the DateInput, Calendar, and TimePicker components to provide an interactive form element for picking dates and specific times.
* [Angular DateRange Component](https://www.telerik.com/kendo-angular-ui/components/dateinputs/daterange)&mdash;This is a container that holds start and end date input fields and a date range popup calendar.
* [Angular MultiViewCalendar Component](https://www.telerik.com/kendo-angular-ui/components/dateinputs/multiviewcalendar)&mdash;Renders multiple calendars in one container for the purposes of selecting and navigating dates. It is most often used for setting start and end dates.
* [Angular TimePicker Component](https://www.telerik.com/kendo-angular-ui/components/dateinputs/timepicker)&mdash;This is an input field that allows the user to enter or pick time values from a time-list.

## Key Features

Among the many features which the Kendo UI for Angular Date Inputs deliver are:

* [Forms Support](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/forms)&mdash;The package provides support for both asynchronous template-driven Angular forms and predominantly synchronous reactive Angular forms. This feature allows you to make use of the logic set either in the template or in the component's TypeScript code.
* [Date and Time Ranges](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/date-ranges)&mdash;Except for the MultiViewCalendar, all Date Inputs provide configuration options for setting a start and end date or time and, in this way, defining date or time ranges.
* [Disabled Date Inputs](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/disabled-state)&mdash;You can choose to render the Date Inputs in their disabled state so that they are read-only.
* [Selection Modes](https://www.telerik.com/kendo-angular-ui/components/dateinputs/calendar/selection-modes)&mdash;The Date Inputs provide a number of selection modes which allow users to select a single date, a range of dates, or multiple dates.
* [Formats](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/formats)&mdash;The components in the Date Inputs package provide the ability to configure a desired date format for the displayed value.
* [Placeholders](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/placeholders)&mdash;The Date Inputs conveniently enable you to render a text hint inside the their input field to give the users an indication of what type of value they should provide and in what format.
* [Typing](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/typing)&mdash;You can control the user typing experience of the input-based Date Inputs by configuring the available typing options depending on your specific requirements.
* [View Options](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/calendar-options)&mdash;There are various options provided for configuring the type of calendar, the initially displayed view, the currently focused date, and the view depth to which the user can navigate.
* [Templates](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/templates)&mdash;Customize the content and overall appearance of the calendar-based Date Inputs by utilizing ready-to-use templates and applying them to the individual cells of the components—for example, to the month, year, decade, or century calendar cells.
* [Integration with JSON](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/integration-with-json)&mdash;Since the Date Inputs only work with JavaScript Date instances, and the data received from the server is serialized in JSON format, the components provide options for binding to dates that are serialized as strings.
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/dateinputs/globalization)&mdash;The included components support globalization to ensure that they can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Date Inputs support rendering in a right-to-left (RTL) direction.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/accessibility)&mdash;The Date Inputs are accessible for screen readers and support WAI-ARIA attributes.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/keyboard-navigation)&mdash;The Date Inputs support a number of keyboard shortcuts which alow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Date Inputs, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Date Inputs](https://www.telerik.com/kendo-angular-ui/components/dateinputs/installation/getting-started)
* [Date Inputs Overview page](https://www.telerik.com/kendo-angular-ui/components/dateinputs) and [Date Inputs API reference](https://www.telerik.com/kendo-angular-ui/components/dateinputs/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Kendo UI for Angular Blog](https://www.telerik.com/blogs/tag/kendo-ui-for-angular)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
