/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class Messages extends ComponentMessages {
    /**
     * The **Today** button text in the header of the MultiViewCalendar.
     */
    today: string;
    /**
     * The title of the **Prev** button in the header of the MultiViewCalendar.
     */
    prevButtonTitle: string;
    /**
     * The title of the **Next** button in the header of the MultiViewCalendar.
     */
    nextButtonTitle: string;
    /**
     * The title of the **Parent View** button in the header of the MultiViewCalendar.
     */
    parentViewButtonTitle: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Messages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Messages, "kendo-multiview-calendar-messages-base", never, { "today": { "alias": "today"; "required": false; }; "prevButtonTitle": { "alias": "prevButtonTitle"; "required": false; }; "nextButtonTitle": { "alias": "nextButtonTitle"; "required": false; }; "parentViewButtonTitle": { "alias": "parentViewButtonTitle"; "required": false; }; }, {}, never, never, false, never>;
}
