/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SelectionRangeEnd } from "./selection-range-end.type";
import { SelectionRange } from "./selection-range.interface";
/**
 * Sets the Calendar selection mode.
 *
 * The available values are:
 * * `single` (default)
 * * `multiple`
 * * `range`
 *
 */
export type CalendarSelection = 'single' | 'multiple' | 'range';
/**
 * @hidden
 */
export declare function handleRangeSelection(date: Date, selectionRange: SelectionRange, activeRangeEnd: SelectionRangeEnd, allowReverse?: boolean): {
    activeRangeEnd: SelectionRangeEnd;
    selectionRange: SelectionRange;
};
