/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./localization/multiview-calendar-custom-messages.component";
import * as i2 from "./multiview-calendar.component";
import * as i3 from "./templates/cell-template.directive";
import * as i4 from "./templates/century-cell-template.directive";
import * as i5 from "./templates/decade-cell-template.directive";
import * as i6 from "./templates/footer-template.directive";
import * as i7 from "./templates/header-template.directive";
import * as i8 from "./templates/header-title-template.directive";
import * as i9 from "./templates/month-cell-template.directive";
import * as i10 from "./templates/navigation-item-template.directive";
import * as i11 from "./templates/weeknumber-cell-template.directive";
import * as i12 from "./templates/year-cell-template.directive";
/**
 * The package exports:
 * - `CellTemplateDirective`&mdash;The month cell template directive.
 * - `MonthCellTemplateDirective`&mdash;The month cell template directive.
 * - `YearCellTemplateDirective`&mdash;The year cell template directive.
 * - `DecadeCellTemplateDirective`&mdash;The decade cell template directive.
 * - `CenturyCellTemplateDirective`&mdash;The century cell template directive.
 * - `WeekNumberCellTemplateDirective`&mdash;The month week number cell template directive.
 * - `HeaderTitleTemplateDirective`&mdash;The header title template directive.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the MultiViewCalendar module
 * import { MultiViewCalendarModule } from '@progress/kendo-angular-dateinputs';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, MultiViewCalendarModule], // import MultiViewCalendar module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 */
export declare class MultiViewCalendarModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiViewCalendarModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MultiViewCalendarModule, never, [typeof i1.MultiViewCalendarCustomMessagesComponent, typeof i2.MultiViewCalendarComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective], [typeof i1.MultiViewCalendarCustomMessagesComponent, typeof i2.MultiViewCalendarComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MultiViewCalendarModule>;
}
