/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Action } from '../models/navigation-action.enum';
import { KeyDown } from '../models/keydown.interface';
import { CalendarViewEnum } from '../models/view.enum';
import { BusViewService } from '../services/bus-view.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class NavigationService {
    private bus;
    constructor(bus: BusViewService);
    action(event: KeyDown): Action;
    move(value: Date, action: Action, activeView: CalendarViewEnum): Date;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NavigationService>;
}
