/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgZone } from '@angular/core';
import { CalendarDOMService } from './dom.service';
import { Scrollable } from '../models/scrollable.interface';
import { CalendarViewEnum } from '../models/view.enum';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ScrollSyncService {
    dom: CalendarDOMService;
    zone: NgZone;
    private divideByMagnitude;
    private powerByMagnitude;
    private navSubscription;
    private viewSubscription;
    private navigator;
    private view;
    constructor(dom: CalendarDOMService, zone: NgZone);
    configure(activeView: CalendarViewEnum): void;
    sync(navigator: Scrollable, view: Scrollable): void;
    scrollSiblingOf(scrolledElement: HTMLElement): void;
    siblingComponent(scrollableElement: HTMLElement): Scrollable;
    calculateScroll(component: Scrollable, scrollTop: number): number;
    destroy(): void;
    private unsubscribe;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollSyncService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ScrollSyncService>;
}
