/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { CalendarSelection } from '../models/selection';
import { CalendarViewEnum } from '../models/view.enum';
import { BusViewService } from './bus-view.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export interface SelectionArgs {
    date: Date;
    modifiers: {
        ctrlKey: boolean;
        metaKey: boolean;
        shiftKey: boolean;
        anyArrow: boolean;
    };
    selectionMode: CalendarSelection;
    activeViewEnum: CalendarViewEnum;
    rangePivot: Date;
    selectedDates: Date[];
}
/**
 * @hidden
 */
export declare class SelectionService {
    private bus;
    constructor(bus: BusViewService);
    lastClicked: Date;
    performSelection(args: SelectionArgs): {
        selectedDates: Date[];
        rangePivot: Date;
    };
    private isDateSelected;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SelectionService>;
}
