/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export declare const requiresZoneOnBlur: (ngControl: any) => any;
/**
 * @hidden
 */
export declare const preventDefault: (args: any) => void;
/**
 * @hidden
 */
export declare const currentFocusTarget: (blurArgs: any) => any;
/**
 * @hidden
 */
export declare const isPresent: (value: any) => boolean;
/**
 * @hidden
 */
export declare const isNullOrDate: (value: any) => boolean;
/**
 * @hidden
 */
export declare const isTruthy: (value: any) => boolean;
/**
 * @hidden
 *
 * If the provided parameter is an array with at least one item
 * and all items in the array are numbers, returns `true.
 */
export declare const isNumberArray: (value: any) => boolean;
/**
 * @hidden
 *
 * If the provided parameter is an array with at least one item
 * and all items in the array are dates, returns `true`.
 */
export declare const isDateArray: (value: any) => boolean;
/**
 * @hidden
 */
export declare const isArrowWithShiftPressed: (args: any) => boolean;
/**
 * @hidden
 * Enum with key codes.
 */
export declare enum Keys {
    ArrowDown = 40,
    ArrowLeft = 37,
    ArrowRight = 39,
    ArrowUp = 38
}
/**
 * @hidden
 */
export declare const selectors: {
    infiniteCalendarTable: string;
    multiViewCalendarTable: string;
};
/**
 * @hidden
 */
export declare const attributeNames: {
    ariaActiveDescendant: string;
    ariaControls: string;
    ariaExpanded: string;
    ariaHasPopup: string;
    valueNow: string;
    valuetext: string;
    ariaInvalid: string;
};
