/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DateFormatOptions } from "@progress/kendo-intl";
/**
 * Specifies the formats used by the DateInput mask when the input is focused or blurred
 * ([see example]({% slug formats_datepicker %}#toc-display-and-input-formats)).
 */
export interface FormatSettings {
    /**
     * Used when the input is focused.
     */
    inputFormat: string | DateFormatOptions;
    /**
     * Used when the input is blurred.
     */
    displayFormat: string | DateFormatOptions;
}
