/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./calendar/localization/calendar-custom-messages.component";
import * as i2 from "./calendar/calendar.component";
import * as i3 from "./calendar/templates/cell-template.directive";
import * as i4 from "./calendar/templates/century-cell-template.directive";
import * as i5 from "./calendar/templates/decade-cell-template.directive";
import * as i6 from "./calendar/templates/footer-template.directive";
import * as i7 from "./calendar/templates/header-template.directive";
import * as i8 from "./calendar/templates/header-title-template.directive";
import * as i9 from "./calendar/templates/month-cell-template.directive";
import * as i10 from "./calendar/templates/navigation-item-template.directive";
import * as i11 from "./calendar/templates/weeknumber-cell-template.directive";
import * as i12 from "./calendar/templates/year-cell-template.directive";
import * as i13 from "./calendar/localization/multiview-calendar-custom-messages.component";
import * as i14 from "./calendar/multiview-calendar.component";
import * as i15 from "./dateinput/localization/dateinput-custom-messages.component";
import * as i16 from "./dateinput/dateinput.component";
import * as i17 from "./datepicker/localization/datepicker-custom-messages.component";
import * as i18 from "./datepicker/datepicker.component";
import * as i19 from "@progress/kendo-angular-common";
import * as i20 from "./daterange/localization/daterange-popup-custom-messages.component";
import * as i21 from "./daterange/date-range-end-input.directive";
import * as i22 from "./daterange/date-range-popup-template.directive";
import * as i23 from "./daterange/date-range.component";
import * as i24 from "./daterange/date-range-popup.component";
import * as i25 from "./daterange/date-range-selection.directive";
import * as i26 from "./daterange/date-range-start-input.directive";
import * as i27 from "./datetimepicker/localization/datetimepicker-custom-messages.component";
import * as i28 from "./datetimepicker/datetimepicker.component";
import * as i29 from "./timepicker/localization/timepicker-custom-messages.component";
import * as i30 from "./timepicker/timepicker.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Date Inputs components.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the Date Inputs module
 * import { DateInputsModule } from '@progress/kendo-angular-dateinputs';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare the app component
 *     imports:      [BrowserModule, DateInputsModule], // import the Date Inputs module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class DateInputsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DateInputsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DateInputsModule, never, [typeof i1.CalendarCustomMessagesComponent, typeof i2.CalendarComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i13.MultiViewCalendarCustomMessagesComponent, typeof i14.MultiViewCalendarComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective, typeof i15.DateInputCustomMessagesComponent, typeof i16.DateInputComponent, typeof i17.DatePickerCustomMessagesComponent, typeof i18.DatePickerComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i19.ToggleButtonTabStopDirective, typeof i20.DateRangePopupCustomMessagesComponent, typeof i15.DateInputCustomMessagesComponent, typeof i16.DateInputComponent, typeof i21.DateRangeEndInputDirective, typeof i22.DateRangePopupTemplateDirective, typeof i23.DateRangeComponent, typeof i24.DateRangePopupComponent, typeof i25.DateRangeSelectionDirective, typeof i26.DateRangeStartInputDirective, typeof i27.DateTimePickerCustomMessagesComponent, typeof i28.DateTimePickerComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective, typeof i19.ToggleButtonTabStopDirective, typeof i29.TimePickerCustomMessagesComponent, typeof i30.TimePickerComponent, typeof i19.ToggleButtonTabStopDirective, typeof i19.ToggleButtonTabStopDirective], [typeof i1.CalendarCustomMessagesComponent, typeof i2.CalendarComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i13.MultiViewCalendarCustomMessagesComponent, typeof i14.MultiViewCalendarComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective, typeof i15.DateInputCustomMessagesComponent, typeof i16.DateInputComponent, typeof i17.DatePickerCustomMessagesComponent, typeof i18.DatePickerComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i19.ToggleButtonTabStopDirective, typeof i20.DateRangePopupCustomMessagesComponent, typeof i15.DateInputCustomMessagesComponent, typeof i16.DateInputComponent, typeof i21.DateRangeEndInputDirective, typeof i22.DateRangePopupTemplateDirective, typeof i23.DateRangeComponent, typeof i24.DateRangePopupComponent, typeof i25.DateRangeSelectionDirective, typeof i26.DateRangeStartInputDirective, typeof i27.DateTimePickerCustomMessagesComponent, typeof i28.DateTimePickerComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective, typeof i19.ToggleButtonTabStopDirective, typeof i29.TimePickerCustomMessagesComponent, typeof i30.TimePickerComponent, typeof i19.ToggleButtonTabStopDirective, typeof i19.ToggleButtonTabStopDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DateInputsModule>;
}
