/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DatePickerMessages extends ComponentMessages {
    /**
     * The **Today** button text in the header of the Calendar.
     */
    today: string;
    /**
     * The title of the **Toggle** button of the DatePicker.
     */
    toggle: string;
    /**
     * The title of the **Prev** button in the header of the Classic Calendar.
     */
    prevButtonTitle: string;
    /**
     * The title of the **Next** button in the header of the Classic Calendar.
     */
    nextButtonTitle: string;
    /**
     * The title of the **Parent View** button in the header of the Calendar.
     */
    parentViewButtonTitle: string;
    /**
     * The title of the **Clear** button of the DatePicker.
     */
    clearTitle: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatePickerMessages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DatePickerMessages, "kendo-datepicker-messages-base", never, { "today": { "alias": "today"; "required": false; }; "toggle": { "alias": "toggle"; "required": false; }; "prevButtonTitle": { "alias": "prevButtonTitle"; "required": false; }; "nextButtonTitle": { "alias": "nextButtonTitle"; "required": false; }; "parentViewButtonTitle": { "alias": "parentViewButtonTitle"; "required": false; }; "clearTitle": { "alias": "clearTitle"; "required": false; }; }, {}, never, never, false, never>;
}
