/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./localization/daterange-popup-custom-messages.component";
import * as i2 from "../dateinput/localization/dateinput-custom-messages.component";
import * as i3 from "../dateinput/dateinput.component";
import * as i4 from "./date-range-end-input.directive";
import * as i5 from "./date-range-popup-template.directive";
import * as i6 from "./date-range.component";
import * as i7 from "./date-range-popup.component";
import * as i8 from "./date-range-selection.directive";
import * as i9 from "./date-range-start-input.directive";
/**
 * The exported package module.
 *
 * The package exports:
 * - `DateRangeComponent`&mdash;The DateRange component class.
 * - `DateRangePopupComponent`&mdash;The DateRangePopup component class.
 * - `DateRangeSelectionDirective`&mdash;The MultiviewCalendar date range selection directive.
 * - `DateRangeEndInputDirective`&mdash;The end DateInput date range selection directive.
 * - `DateRangeStartInputDirective`&mdash;The start DateInput date range selection directive.
 * - `DateRangePopupTemplateDirective`&mdash;The DateRangePopup content template directive.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the DateRange module
 * import { DateRangeModule } from '@progress/kendo-angular-dateinputs';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, DateRangeModule], // import DateRange module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class DateRangeModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DateRangeModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DateRangeModule, never, [typeof i1.DateRangePopupCustomMessagesComponent, typeof i2.DateInputCustomMessagesComponent, typeof i3.DateInputComponent, typeof i4.DateRangeEndInputDirective, typeof i5.DateRangePopupTemplateDirective, typeof i6.DateRangeComponent, typeof i7.DateRangePopupComponent, typeof i8.DateRangeSelectionDirective, typeof i9.DateRangeStartInputDirective], [typeof i1.DateRangePopupCustomMessagesComponent, typeof i2.DateInputCustomMessagesComponent, typeof i3.DateInputComponent, typeof i4.DateRangeEndInputDirective, typeof i5.DateRangePopupTemplateDirective, typeof i6.DateRangeComponent, typeof i7.DateRangePopupComponent, typeof i8.DateRangeSelectionDirective, typeof i9.DateRangeStartInputDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DateRangeModule>;
}
