/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DateRangePopupMessages extends ComponentMessages {
    /**
     * The text of the **Accept** button in the popup footer of the DateRange Popup.
     */
    accept: string;
    /**
     * The label of the **Accept** button in the popup footer of the DateRange Popup.
     */
    acceptLabel: string;
    /**
     * The text of the **Cancel** button in the popup footer of the DateRange Popup.
     */
    cancel: string;
    /**
     * The label of the **Cancel** button in the popup footer of the DateRange Popup.
     */
    cancelLabel: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateRangePopupMessages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DateRangePopupMessages, "kendo-daterangepopup-messages-base", never, { "accept": { "alias": "accept"; "required": false; }; "acceptLabel": { "alias": "acceptLabel"; "required": false; }; "cancel": { "alias": "cancel"; "required": false; }; "cancelLabel": { "alias": "cancelLabel"; "required": false; }; }, {}, never, never, false, never>;
}
