/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class DateTimePickerMessages extends ComponentMessages {
    /**
     * The title of the **Toggle** button of the DateTimePicker.
     */
    toggle;
    /**
     * The text of the **Date** tab in the popup header of the DateTimePicker.
     */
    dateTab;
    /**
     * The label of the **Date** tab in the popup header of the DateTimePicker.
     */
    dateTabLabel;
    /**
     * The text of the **Time** tab in the popup header of the DateTimePicker.
     */
    timeTab;
    /**
     * The label of the **Time** tab in the popup header of the DateTimePicker.
     */
    timeTabLabel;
    /**
     * The text of the **Accept** button in the popup footer of the DateTimePicker.
     */
    accept;
    /**
     * The label of the **Accept** button in the popup footer of the DateTimePicker.
     */
    acceptLabel;
    /**
     * The text of the **Cancel** button in the popup footer of the DateTimePicker.
     */
    cancel;
    /**
     * The label of the **Cancel** button in the popup footer of the DateTimePicker.
     */
    cancelLabel;
    /**
     * The **Today** button text in the header of the Calendar.
     */
    today;
    /**
     * The text of the **Now** button in the popup header of the TimePicker.
     */
    now;
    /**
     * The label of the **Now** button in the popup header of the TimePicker.
     */
    nowLabel;
    /**
     * The title of the **Prev** button in the header of the Classic Calendar.
     */
    prevButtonTitle;
    /**
     * The title of the **Next** button in the header of the Classic Calendar.
     */
    nextButtonTitle;
    /**
     * The title of the **Parent View** button in the header of the Calendar.
     */
    parentViewButtonTitle;
    /**
     * The label of the **Hour** part in the TimePicker.
     */
    hour;
    /**
     * The label of the **Minute** part in the TimePicker.
     */
    minute;
    /**
     * The label of the **Second** part in the TimePicker.
     */
    second;
    /**
     * The label of the **Millisecond** part in the TimePicker.
     */
    millisecond;
    /**
     * The label of the **Dayperiod** part in the TimePicker.
     */
    dayperiod;
    /**
     * The title of the **Clear** button of the DateTimePicker.
     */
    clearTitle;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DateTimePickerMessages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: DateTimePickerMessages, selector: "kendo-datetimepicker-messages-base", inputs: { toggle: "toggle", dateTab: "dateTab", dateTabLabel: "dateTabLabel", timeTab: "timeTab", timeTabLabel: "timeTabLabel", accept: "accept", acceptLabel: "acceptLabel", cancel: "cancel", cancelLabel: "cancelLabel", today: "today", now: "now", nowLabel: "nowLabel", prevButtonTitle: "prevButtonTitle", nextButtonTitle: "nextButtonTitle", parentViewButtonTitle: "parentViewButtonTitle", hour: "hour", minute: "minute", second: "second", millisecond: "millisecond", dayperiod: "dayperiod", clearTitle: "clearTitle" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: DateTimePickerMessages, decorators: [{
            type: Directive,
            args: [{
                    // eslint-disable-next-line
                    selector: 'kendo-datetimepicker-messages-base'
                }]
        }], propDecorators: { toggle: [{
                type: Input
            }], dateTab: [{
                type: Input
            }], dateTabLabel: [{
                type: Input
            }], timeTab: [{
                type: Input
            }], timeTabLabel: [{
                type: Input
            }], accept: [{
                type: Input
            }], acceptLabel: [{
                type: Input
            }], cancel: [{
                type: Input
            }], cancelLabel: [{
                type: Input
            }], today: [{
                type: Input
            }], now: [{
                type: Input
            }], nowLabel: [{
                type: Input
            }], prevButtonTitle: [{
                type: Input
            }], nextButtonTitle: [{
                type: Input
            }], parentViewButtonTitle: [{
                type: Input
            }], hour: [{
                type: Input
            }], minute: [{
                type: Input
            }], second: [{
                type: Input
            }], millisecond: [{
                type: Input
            }], dayperiod: [{
                type: Input
            }], clearTitle: [{
                type: Input
            }] } });
