/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class TimePickerMessages extends ComponentMessages {
    /**
     * The text of the **Accept** button in the popup footer of the TimeList.
     */
    accept;
    /**
     * The label of the **Accept** button in the popup footer of the TimeList.
     */
    acceptLabel;
    /**
     * The text of the **Cancel** button in the popup footer of the TimeList.
     */
    cancel;
    /**
     * The label of the **Cancel** button in the popup footer of the TimeList.
     */
    cancelLabel;
    /**
     * The text of the **Now** button in the popup header of the TimeList.
     */
    now;
    /**
     * The label of the **Now** button in the popup header of the TimeList.
     */
    nowLabel;
    /**
     * The title of the **Toggle** button of the TimePicker.
     */
    toggle;
    /**
     * The label of the **Hour** part in the TimePicker.
     */
    hour;
    /**
     * The label of the **Minute** part in the TimePicker.
     */
    minute;
    /**
     * The label of the **Second** part in the TimePicker.
     */
    second;
    /**
     * The label of the **Millisecond** part in the TimePicker.
     */
    millisecond;
    /**
     * The label of the **Dayperiod** part in the TimePicker.
     */
    dayperiod;
    /**
     * The title of the **Clear** button of the TimePicker.
     */
    clearTitle;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TimePickerMessages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: TimePickerMessages, selector: "kendo-timepicker-messages-base", inputs: { accept: "accept", acceptLabel: "acceptLabel", cancel: "cancel", cancelLabel: "cancelLabel", now: "now", nowLabel: "nowLabel", toggle: "toggle", hour: "hour", minute: "minute", second: "second", millisecond: "millisecond", dayperiod: "dayperiod", clearTitle: "clearTitle" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: TimePickerMessages, decorators: [{
            type: Directive,
            args: [{
                    // eslint-disable-next-line
                    selector: 'kendo-timepicker-messages-base'
                }]
        }], propDecorators: { accept: [{
                type: Input
            }], acceptLabel: [{
                type: Input
            }], cancel: [{
                type: Input
            }], cancelLabel: [{
                type: Input
            }], now: [{
                type: Input
            }], nowLabel: [{
                type: Input
            }], toggle: [{
                type: Input
            }], hour: [{
                type: Input
            }], minute: [{
                type: Input
            }], second: [{
                type: Input
            }], millisecond: [{
                type: Input
            }], dayperiod: [{
                type: Input
            }], clearTitle: [{
                type: Input
            }] } });
