/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef } from '@angular/core';
import { AdaptiveSize, AdaptiveService } from '@progress/kendo-angular-utils';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TimePickerDOMService {
    private adaptiveService;
    constructor(adaptiveService: AdaptiveService);
    itemHeight: number;
    timeListHeight: number;
    isAdaptiveEnabled: boolean;
    isDateTimePicker: boolean;
    get windowSize(): AdaptiveSize;
    ensureHeights(): void;
    calculateHeights(container?: HTMLElement): void;
    isActive(element: ElementRef): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimePickerDOMService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TimePickerDOMService>;
}
